/*
 *  ---------
 * |.**> <**.|  CardContact
 * |*       *|  Software & System Consulting
 * |*       *|  Minden, Germany
 * |�**> <**�|  Copyright (c) 1999. All rights reserved
 *  --------- 
 *
 * See file LICENSE for details on licensing
 *
 * Abstract :       Defines tools/types for ATR/Hist. bytes/Protocols handling
 *
 * Author :         Frank Thater (FTH)
 *
 * Last modified:   09/30/1999
 *
 *****************************************************************************/
 
#ifndef _ATR_H_
#define _ATR_H_

#include "eco5000.h"

int GetATR(struct eco5000_t *ctx);
/* GetATR - fills structure vars (HCC, ATR, ...)  */

int Async_PowerOff(struct eco5000_t *ctx);

int ASync_GetATR(struct eco5000_t *ctx);

int Sync_GetATR(struct eco5000_t *ctx);

int PerformPPS(struct eco5000_t *ctx, unsigned char PPS0,
               unsigned char PPS1, unsigned char PPS2, unsigned char PPS3);

#endif
