/*
 *  ---------
 * |.**> <**.|  CardContact
 * |*       *|  Software & System Consulting
 * |*       *|  Minden, Germany
 * |**> <**|  Copyright (c) 1999. All rights reserved
 *  --------- 
 *
 * See file LICENSE for details on licensing
 *
 * Abstract :       Defines tools/types for CTBCS commands
 *
 * Author :         Frank Thater (FTH)
 *
 * Last modified:   10/08/1999
 *
 *****************************************************************************/
 
#ifndef _CTBCS_H_
#define _CTBCS_H_

#define CTBCS_DATA_STATUS_CARD 4 


int ResetTerminal (struct eco5000_t *ctx,
                   unsigned int *lr,
		   unsigned char *rsp);


int ResetCard (struct eco5000_t *ctx,
	       unsigned int lc,
               unsigned char *cmd,
	       unsigned int *lr,
	       unsigned char *rsp);


int RequestICC (struct eco5000_t *ctx, 
                unsigned int lc,
                unsigned char *cmd, 
		unsigned int *lr, 
		unsigned char *rsp);


int EjectICC (struct eco5000_t *ctx,
	      unsigned int lc,
              unsigned char *cmd,
	      unsigned int *lr,
	      unsigned char *rsp);  	


int GetStatus (struct eco5000_t *ctx,
               unsigned char *cmd,
	       unsigned int *lr,
	       unsigned char *rsp);

int InstallHandler (struct eco5000_t *ctx);

#endif


